## ivsc-driver 0~git202211241536.70d95269

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
# Copyright (c) 2022 Intel Corporation.

obj-m += ljca.o
ljca-y := drivers/mfd/ljca.o

obj-m += spi-ljca.o
spi-ljca-y := drivers/spi/spi-ljca.o

obj-m += gpio-ljca.o
gpio-ljca-y := drivers/gpio/gpio-ljca.o

obj-m += i2c-ljca.o
i2c-ljca-y := drivers/i2c/busses/i2c-ljca.o

obj-m += mei-vsc.o
mei-vsc-y := drivers/misc/mei/spi-vsc.o
mei-vsc-y += drivers/misc/mei/hw-vsc.o

obj-m += intel_vsc.o
intel_vsc-y := drivers/misc/ivsc/intel_vsc.o

obj-m += mei_csi.o
mei_csi-y := drivers/misc/ivsc/mei_csi.o

obj-m += mei_ace.o
mei_ace-y := drivers/misc/ivsc/mei_ace.o

obj-m += mei_pse.o
mei_pse-y := drivers/misc/ivsc/mei_pse.o

obj-m += mei_ace_debug.o
mei_ace_debug-y := drivers/misc/ivsc/mei_ace_debug.o

KERNELRELEASE ?= $(shell uname -r)
KERNEL_SRC ?= /lib/modules/$(KERNELRELEASE)/build
PWD := $(shell pwd)

ccflags-y += -I$(src)/include/
ccflags-y += -I$(src)/backport-include/drivers/misc/mei/

all:
	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) modules

modules_install:
	$(MAKE) INSTALL_MOD_DIR=/updates -C $(KERNEL_SRC) M=$(PWD) modules_install

clean:
	$(MAKE) -C $(KERNEL_SRC) M=$(PWD) clean

=== drivers/misc/ivsc/Makefile ===
# SPDX-License-Identifier: GPL-2.0
#
# Copyright (c) 2021, Intel Corporation. All rights reserved.

obj-$(CONFIG_INTEL_VSC)			+= intel_vsc.o
obj-$(CONFIG_INTEL_VSC_CSI)		+= mei_csi.o
obj-$(CONFIG_INTEL_VSC_ACE)		+= mei_ace.o
obj-$(CONFIG_INTEL_VSC_PSE)		+= mei_pse.o
obj-$(CONFIG_INTEL_VSC_ACE_DEBUG)	+= mei_ace_debug.o

=== debian/changelog ===
ivsc-driver (0~git202211241536.70d95269-0ubuntu0.22.04.2) jammy; urgency=medium

  * Support Linux 6.8 ABI (LP: #2071486):
    - debian/patches/0004-linux-6.8-abi.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 28 Jun 2024 16:21:05 +0000

ivsc-driver (0~git202211241536.70d95269-0ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to jammy. (LP: #1972106)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Wed, 30 Nov 2022 12:41:08 +0000

ivsc-driver (0~git202211241536.70d95269-0ubuntu0.23.04.1) lunar; urgency=low

  [ You-Sheng Yang ]
  * Initial release. (LP: #1972106)
    - dkms: use debian package version as PACKAGE_VERSION
    - dkms: drop obsoleted REMAKE_INITRD
    - backport: update mei headers to v6.1

  [ Dimitri John Ledkov ]
  * Update debian/copyright file using decopy:
    - no firmware blobs included in this source package
    - all kernel modules marked MODULE_LICENSE("GPL v2")
    - upstream kernel license of GPL-v2 with syscall exception applies
    - note kernel modules should, but currenlty do not declare
    MODULE_FIRMWARE metadata
  * debian/control:
    - add missing dh-dkms build-dependency
    - bump standards version
    - use full DEB_VERSION as the dkms module version, even minor
    packaging uploads may contain patches that change behaviour, and thus
    module should be upgraded
  * Use backports friendly version number

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 18 Nov 2022 16:35:35 +0800

=== debian/control ===
Source: ivsc-driver
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: You-Sheng Yang <vicamo@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-modaliases,
 dkms,
 dh-sequence-dkms,
 quilt,
Standards-Version: 4.6.1.0
Homepage: https://gitlab.com/intel/ivsc-driver
Vcs-Browser: https://gitlab.com/intel/ivsc-driver/tree/main
Vcs-Git: https://gitlab.com/intel/ivsc-driver.git

Package: intel-vsc-dkms
Architecture: amd64
Depends:
 dkms,
 ${misc:Depends},
Provides: ivsc-modules
Description: Intel Vision Sensing Controller(IVSC) driver
 This package provides kernel drivers for Intel Vision Sensing Controller(IVSC)
 on Intel Alder Lake platforms.

## ivsc-driver 0~git202212210258.94ecb88b

=== debian/changelog ===
ivsc-driver (0~git202212210258.94ecb88b-0ubuntu0.23.10.3) mantic; urgency=low

  [ You-Sheng Yang ]
  * Support mipi camera on Intel Meteor Lake platform (LP: #2031412)
    - ljca: try to find acpi device from hub device
    - mei-vsc: port mei api change in v6.2
    - mfd: ljca: Fix try_match_acpi_hid return value checking
    - misc: spi-vsc: Fix cvfd_ids array with terminator

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 23 Aug 2023 00:11:46 +0800

ivsc-driver (0~git202212210258.94ecb88b-0ubuntu0.23.10.2) mantic; urgency=low

  [ You-Sheng Yang ]
  * debian: add modaliases (LP: #2021740)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 12 Jul 2023 16:17:37 +0800

ivsc-driver (0~git202212210258.94ecb88b-0ubuntu0.23.10.1) mantic; urgency=low

  * Fix build exclusive rule
    (s/BUILD_EXCLUSIVE_KERNEL/BUILD_EXCLUSIVE_CONFIG/). LP: #2012410

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 08 Jun 2023 08:38:23 +0000

ivsc-driver (0~git202212210258.94ecb88b-0ubuntu0.23.04.1) mantic; urgency=low

  [ You-Sheng Yang ]
  * New upstream release 20230208_1038. (LP: #2007368)
    - drop patches applied in upstream

  [ Ye Xiang ]
  * add support for MTL board

  [ Roxana Nicolescu ]
  * Add build exclusive rule. (LP: #2012410)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 01 May 2023 22:12:57 +0800

## ivsc-driver 0~git202311021215.73a044d9

=== debian/changelog ===
ivsc-driver (0~git202311021215.73a044d9-0ubuntu2) noble; urgency=low

  [ You-Sheng Yang ]
  * Failed to build against v6.8-rcX: multiple failures (LP: #2054496)
    - backport: replace strlcpy with strscpy
    - backport: Use set/get APIs to access spi->chip_select

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 21 Feb 2024 10:38:15 +0800

ivsc-driver (0~git202311021215.73a044d9-0ubuntu1) noble; urgency=low

  [ You-Sheng Yang ]
  * Intel IPU6 camera support for Dell MayaBay MLK (LP: #2044991)
    - new upstream Release_20231127 release
    - debian: drop patches already included in the upstream release

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 01 Dec 2023 00:13:52 +0800

ivsc-driver (0~git202212210258.94ecb88b-0ubuntu0.24.04.1) noble; urgency=low

  [ You-Sheng Yang ]
  * Support mipi camera on Intel Meteor Lake platform (LP: #2031412)
    - ljca: try to find acpi device from hub device
    - mei-vsc: port mei api change in v6.2
    - mfd: ljca: Fix try_match_acpi_hid return value checking
    - misc: spi-vsc: Fix cvfd_ids array with terminator

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 23 Aug 2023 00:11:46 +0800

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
  dkms,
  ${misc:Depends},
 Provides: ivsc-modules
+XB-Modaliases: ${modaliases}
 Description: Intel Vision Sensing Controller(IVSC) driver
  This package provides kernel drivers for Intel Vision Sensing Controller(IVSC)
  on Intel Alder Lake platforms.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
include /usr/share/dpkg/pkg-info.mk

DKMS_PACKAGE_NAME = $(shell grep '^PACKAGE_NAME=' dkms.conf | cut -d\" -f2)
DKMS_PACKAGE_VERSION = $(DEB_VERSION)

generated_dkms_files = \
  debian/intel-vsc-dkms.install \
  $(empty)

%:
	dh $@ --with dkms,modaliases

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:

override_dh_dkms: dkms.conf
	dh_dkms -V $(DKMS_PACKAGE_VERSION) -- dkms.conf

override_dh_install: debian/intel-vsc-dkms.install
	dh_install --exclude=.gitignore

override_dh_clean:
	-rm -f $(generated_dkms_files)
	dh_clean

$(generated_dkms_files) : $(generated_dkms_files:=.in) debian/rules
	sed -e 's,@DKMS_PACKAGE_NAME@,$(DKMS_PACKAGE_NAME),g' \
	    -e 's,@DKMS_PACKAGE_VERSION@,$(DKMS_PACKAGE_VERSION),g' \
	    <$(@:=.in) >$@
